libmojolicious-perl (9.42+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.42+dfsg.
  * Refresh debian/patches/typo-in-manual-page (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Drop unneeded version constraints from (build) dependencies.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 01:20:15 +0100

libmojolicious-perl (9.39+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.39+dfsg.
  * Add test dependency and runtime recommendation on libcryptx-perl.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Dec 2024 23:47:19 +0100

libmojolicious-perl (9.38+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.38+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Aug 2024 19:10:41 +0200

libmojolicious-perl (9.37+dfsg-2) unstable; urgency=medium

  * update bootstrap to v5 (see upstream 9.36 Changes)
  * add myself to Uploaders

 -- Philip Hands <phil@hands.com>  Wed, 31 Jul 2024 22:32:38 +0200

libmojolicious-perl (9.37+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.37+dfsg.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 May 2024 13:07:48 +0200

libmojolicious-perl (9.36+dfsg-1) unstable; urgency=medium

  * Update Files-Excluded before importing next upstream release.
  * Import upstream version 9.36+dfsg.
  * Update links and dependencies for javascript files.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Mar 2024 02:00:56 +0100

libmojolicious-perl (9.35+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.35+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Oct 2023 00:48:52 +0200

libmojolicious-perl (9.34+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.34+dfsg.
  * Add missing build dependency on dh-strip-nondeterminism for command
    dh_strip_nondeterminism.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Sep 2023 00:15:30 +0200

libmojolicious-perl (9.33+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.33+dfsg.
  * Update years of upstream and packaging copyright.
  * Drop unneeded version constraints from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Aug 2023 18:12:06 +0200

libmojolicious-perl (9.31+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.31+dfsg.
    Fixes multiple <script> parsing issues in Mojo::DOM (GH#2014, GH#2015).
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Dec 2022 17:58:02 +0100

libmojolicious-perl (9.28+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.28+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2022 22:00:09 +0200

libmojolicious-perl (9.27+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.27+dfsg.
  * Update lintian overrides.
  * Install upstream guides into package documentation.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Sep 2022 18:02:57 +0200

libmojolicious-perl (9.26+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.26+dfsg.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 May 2022 11:55:49 +0200

libmojolicious-perl (9.25+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.25+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 May 2022 18:03:13 +0200

libmojolicious-perl (9.24+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.24+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Apr 2022 18:26:02 +0200

libmojolicious-perl (9.23+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.23+dfsg.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Apr 2022 18:20:04 +0200

libmojolicious-perl (9.22+dfsg-2) unstable; urgency=medium

  [ Paul Gevers ]
  * Drop build profile from Recommends (Closes: #1008191)

  [ Nick Morrott ]
  * d/copyright:
    - Refresh years of Debian copyright
    - Refresh years of upstream copyright
  * d/libmojolicious-perl.lintian-overrides:
    - Add override for example login app folder structure
  * d/patches:
    - Add patch typo-in-manual-page

 -- Nick Morrott <nickm@debian.org>  Thu, 24 Mar 2022 16:29:50 +0000

libmojolicious-perl (9.22+dfsg-1) unstable; urgency=medium

  * Import upstream version 9.22+dfsg.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Oct 2021 01:21:18 +0200

libmojolicious-perl (9.21+dfsg-2) unstable; urgency=medium

  * Add Breaks on older libmojolicious-plugin-openapi-perl.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Sep 2021 13:35:30 +0200

libmojolicious-perl (9.21+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ gregor herrmann ]
  * Import upstream version 9.21+dfsg.
  * Font Aweseome was removed upstream. Drop references to it
    - debian/control (build and runtime dependencies)
    - debian/copyright (Files-Excluded)
    - debian/libmojolicious-perl.links (symlinks to packaged files)
    - debian/rules (symlinks in override_dh_auto_test)
    - remove awesome.patch
  * Bump versioned test dependency and recommandation on libfuture-
    asyncawait-perl.
  * Declare compliance with Debian Policy 4.6.0.
  * debian/rules: check for nocheck in DEB_BUILD_OPTIONS.
  * Fix hashbang in examples.

 -- gregor herrmann <gregoa@debian.org>  Wed, 29 Sep 2021 22:55:11 +0200

libmojolicious-perl (8.71+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.71+dfsg.
  * Update handling of fonts-awesome. Refresh rules, control, links and
    test patch, inspired by libminion-perl.
  * debian/rules: make pngs writeable for dh_strip_nondeterminism.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jan 2021 03:27:05 +0100

libmojolicious-perl (8.70+dfsg-1) unstable; urgency=medium

  * Add more external files to Files-Excluded in preparation of
    the next release.
  * Import upstream version 8.70+dfsg.
  * Handle removed bundled resources: add dependencies and symlinks.
  * debian/rules: add/remove more symlinks before/after tests.
  * Add patch to skip webfonts tests.
    The files are excluded from the repacked tarball, as we are using
    fonts-fork-awesome.
  * Add another lintian override
    (package-contains-documentation-outside-usr-share-doc).

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Dec 2020 23:40:07 +0100

libmojolicious-perl (8.67+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.67+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Dec 2020 02:40:57 +0100

libmojolicious-perl (8.66+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.66+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2020 18:40:08 +0100

libmojolicious-perl (8.65+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.65+dfsg.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Nov 2020 21:09:16 +0100

libmojolicious-perl (8.64+dfsg-1) unstable; urgency=medium

  * debian/copyright: update Files-Excluded.
    Drop prettify/run_prettify.js, add highlight.js/highlight.min.js, in
    anticipation of the 8.64 release.
  * Import upstream version 8.64+dfsg.
  * Upstream switched from prettify.js to highlight.js, so do we.
  * Add Lintian source overrides.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Nov 2020 04:22:57 +0100

libmojolicious-perl (8.63+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.63+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Oct 2020 18:39:25 +0200

libmojolicious-perl (8.61+dfsg-2) unstable; urgency=medium

  * Bump runtime dependency on libio-socket-ip-perl to >= 0.39-3~ as well.
    Mojo modules are used in test suites of other packages, and then show
    the same issues on IPv6 only hosts.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Oct 2020 21:55:20 +0200

libmojolicious-perl (8.61+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.61+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Oct 2020 21:36:57 +0200

libmojolicious-perl (8.60+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.60+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Sep 2020 17:21:12 +0200

libmojolicious-perl (8.59+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.59+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Sep 2020 18:19:53 +0200

libmojolicious-perl (8.58+dfsg-2) unstable; urgency=medium

  * Build-depend on libio-socket-ip-perl 0.39-3 to fix test failures on
    IPv6-only hosts (cf. #964902).
    Closes: #962318

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Sep 2020 16:45:41 +0200

libmojolicious-perl (8.58+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.58+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Tue, 11 Aug 2020 16:09:56 +0200

libmojolicious-perl (8.57+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.57+dfsg.
  * Add libcpan-meta-yaml-perl to Build-Depends-Indep and Recommends.
  * debian/rules: drop override_dh_clean target.
    The special-cased MANIFEST.bak is gone since 8.51.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2020 14:39:12 +0200

libmojolicious-perl (8.56+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.56+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Jun 2020 16:34:49 +0200

libmojolicious-perl (8.55+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.55+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jun 2020 19:05:55 +0200

libmojolicious-perl (8.54+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.54+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Jun 2020 17:39:44 +0200

libmojolicious-perl (8.53+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.53+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Jun 2020 01:43:10 +0200

libmojolicious-perl (8.52+dfsg-2) unstable; urgency=medium

  * Add Breaks on libmango-perl before 1.30-2.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Jun 2020 01:13:30 +0200

libmojolicious-perl (8.52+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.52+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Jun 2020 16:52:57 +0200

libmojolicious-perl (8.51+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.51+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jun 2020 20:03:39 +0200

libmojolicious-perl (8.43+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.43+dfsg.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 May 2020 01:07:05 +0200

libmojolicious-perl (8.42+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.42+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 May 2020 19:52:38 +0200

libmojolicious-perl (8.41+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.41+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2020 04:10:52 +0200

libmojolicious-perl (8.40+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.40+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Apr 2020 18:47:47 +0200

libmojolicious-perl (8.39+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.39+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Apr 2020 20:55:05 +0200

libmojolicious-perl (8.37+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.37+dfsg.
  * Make recommendation on libev-perl versioned.
  * Adjust lintian overrides again.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Apr 2020 18:41:23 +0200

libmojolicious-perl (8.36+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.36+dfsg.
  * Adjust lintian overrides to lintian changes.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Apr 2020 17:05:47 +0200

libmojolicious-perl (8.35+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.35+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Mar 2020 20:30:58 +0100

libmojolicious-perl (8.34+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.34+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Mar 2020 17:30:21 +0100

libmojolicious-perl (8.33+dfsg-1) unstable; urgency=medium

  * Import upstream version 8.33+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Thu, 13 Feb 2020 22:53:44 +0100

libmojolicious-perl (8.32+dfsg-1) unstable; urgency=medium

  * Import upstream versions 8.28+dfsg, 8.29+dfsg, 8.32+dfsg.
  * Add libfuture-asyncawait-perl to Build-Depends-Indep
    and Recommends.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Replace tabs with spaces in debian/copyright. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Jan 2020 21:26:18 +0100

libmojolicious-perl (8.27+dfsg-1) unstable; urgency=medium

  * New upstream version 8.27+dfsg
  * d/control:
    - Reformat (cme fix)
    - Annotate test-only build dependencies with <!nocheck>
    - Refresh build dependencies to enable more tests
  * d/copyright:
    - Refresh years of Debian copyright
  * d/u/metadata:
    - Drop deprecated Contact, Name fields
  * d/watch:
    - Migrate to version 4 watch file format

 -- Nick Morrott <nickm@debian.org>  Sun, 08 Dec 2019 02:24:00 +0000

libmojolicious-perl (8.26+dfsg-1) unstable; urgency=medium

  * New upstream version 8.26+dfsg
  * d/control:
    - Uploaders: use my new Debian email address
    - Declare compliance with Debian Policy 4.4.1
    - Add Rules-Requires-Root field
  * d/NEWS:
    - update for removed method in 8.26 release
    - remove pre-o-o-stable notifications
  * d/source:
    - drop unused source-contains-empty-directory lintian override

 -- Nick Morrott <nickm@debian.org>  Mon, 04 Nov 2019 19:54:51 +0000

libmojolicious-perl (8.23+dfsg-1) unstable; urgency=medium

  * New upstream version 8.23+dfsg
  * Refresh build and runtime dependencies
  * Override dh_clean to ignore new MANIFEST.bak file

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 15 Aug 2019 04:46:10 +0100

libmojolicious-perl (8.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 8.22+dfsg.
  * Bump debhelper compatibility version to 12.
  * Declare compatibility with Debian Policy 4.4.0.
  * Update build & runtime dependencies.

 -- intrigeri <intrigeri@debian.org>  Wed, 24 Jul 2019 00:25:50 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmojolicious-perl`.
